Bug 455931 - XServer hangs when maximizing window - solved by compiling git'S mesa/drm - plz add these to next kernel
XServer hangs when maximizing window - solved by compiling git'S mesa/drm - p...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-18 16:45 EDT by Moritz Isselstein
Modified: 2008-09-21 11:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.25.14-108
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-21 11:54:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (951 bytes, text/plain)
2008-07-23 12:38 EDT, Moritz Isselstein
no flags Details
Example output of Xorg with 2.6.25.6-55 kernel (38.46 KB, text/plain)
2008-07-23 12:53 EDT, Moritz Isselstein
no flags Details

  None (edit)
Description Moritz Isselstein 2008-07-18 16:45:53 EDT
Description of problem:
The XServer ends uo in an indefinite loop after maximizing a window. Does not
respond to keys, mouse-movement possible, but no clicks.
Hard reset required to get back into a working state.

Version-Release number of selected component (if applicable):
any kernel above 2.6.25.3-40

How reproducible:
100%, just maximize a window

Steps to Reproduce:
1.Maximize window
2.instant xserver-problem as described above
3.
  
Actual results:
X-server hangs without accepting input. Hard reset required.
See 'Additional Info' for solution.

Expected results:
working without compiling git's mesa/drm 

Additional info:
Solved this by compiling the git-sources of mesa/drm and it's ok. don't want to
do this on every kernel-release, so please add up this to the next official
fedora kernel.
Comment 1 Moritz Isselstein 2008-07-23 12:33:48 EDT
Edit: 
Hardware:
Graphics-Chip: RS690
CPU: AMD TL-56 Turion64 x2 1,8 GHz
Comment 2 Moritz Isselstein 2008-07-23 12:38:46 EDT
Created attachment 312493 [details]
xorg.conf
Comment 3 Moritz Isselstein 2008-07-23 12:53:48 EDT
Created attachment 312495 [details]
Example output of Xorg with 2.6.25.6-55 kernel

The last two lines repeat like forever, cut them down to these two ones.

Note You need to log in before you can comment on or make changes to this bug.